PLD Linux Forum Strona Główna PLD Linux Forum
Oficjalne forum dystrybucji PLD Linux

FAQFAQ  SzukajSzukaj  UżytkownicyUżytkownicy  GrupyGrupy
RejestracjaRejestracja  ZalogujZaloguj

Poprzedni temat «» Następny temat
[Th] Xgl + compiz
Autor Wiadomość
croolyc 
zajonc trejn


Pomógł: 25 razy
Dołączył: 06 Lip 2005
Posty: 985
Skąd: Polanów
Wysłany: 22 Lipiec 2007, 10:40   

ADI-mistrzu napisał/a:
Jak tak to może spróbujemy na PLD uruchomić =D ?

juz widze jak z palca lece 30 albo wiecej pakietow :P
popłakałbym się przy trzecim :lol:
_________________
PLD - Punk Linux Distro
Underground Out Of Poland
 
 
 
ADI-mistrzu 


Distro: Titanium
Dołączył: 19 Paź 2005
Posty: 345
Skąd: Legionowo
Wysłany: 22 Lipiec 2007, 10:44   

Oj nie będzie tak źle =P.
Może przyśpieszymy pojawienie się na PLD =).

A co z tą tapetką ? Gdzie to się ustawia =) ?
 
 
 
52aqir 


Pomógł: 18 razy
Dołączył: 16 Sie 2006
Posty: 161
Skąd: Kraków
Wysłany: 22 Lipiec 2007, 11:19   

croolyc napisał/a:
w sumie o berylu można już zapomnieć
tu opis i tu filmik
czekam na toto w pld :D


a przypadkiem w cvs nie lezy wlasnie compiz-fusion? o ile sie nie myle compiz-fusion jest oznaczony numerkiem 5 i taki wlasnie siedzi w cvs, a 3.costam to byl stary compiz. Ale jesli sie myle to nie bijcie :P aaa i jeszcze jest cos takiego co sie nazywa "metisse" tez fajna sprawa i najlepsze, ze nie potrzeba mu composite, a co za tym idzie smiga nawet na fglrx bez xgl i innych akceleracjo zabieraczy ;) No tylko jeszcze nie dziala na x86_64 :P ale to "tylko kwestia czasu" jak wydanie sterownikow ati z obsluga composite :P
a tu filmik
 
 
 
ADI-mistrzu 


Distro: Titanium
Dołączył: 19 Paź 2005
Posty: 345
Skąd: Legionowo
Wysłany: 22 Lipiec 2007, 11:48   

W poldku masz compiz 0.5.0-1 =) Czyli niby to powinien być fusion, ale raczej nie jest.

Co do tamtego... wole compiza =)

Ma ktoś jakiś podręcznik do GIT'ów =P Dopiero dowiedziałem się że coś takiego istnieje =)

EDIT

Dobra wiem już. =).
A pytanie, da się to teraz jakoś w RPM jednego zrobić ? Bo to jest zwykła instalacja typu make i make install.

To może bym to do PLD zrobił i na swój serwer podrzucił.

-----------------------------------

Dobra wiem, robie tego Fusiona, ale idzie to opornie...


EDIT
----------------------------------------------------

Pierwsze RPM'y gotowe =):

http://www.dhost.info/tes....3.0-1.i686.rpm
http://www.dhost.info/tes....3.0-1.i686.rpm

Są to moje pierwsze rpm;y w życiu, więc nie wiem jak z nimi jest, ale powinny być OK.

Pakiet to Emerald nowy z fusion.

Na compiz mam tak:
Kod:

the following optional plugins will be compiled:
  glib:     yes
  gconf:    yes
  place:    yes
  dbus:     yes
  annotate: yes
  svg:      no
  inotify:  yes
  fuse:     no

and the following optional features will be compiled:
  gtk:      yes
  metacity: yes
  gnome:    no
  kde:      yes


Jak zrobić aby GNOM'a też zaznaczył ? Bo w trakcie sprawdzania to mu wywala:
Kod:

checking for GNOME_WINDOW_SETTINGS... no
checking for GNOME_KEY_BINDINGS... no



A ja mam gnome (właśnie z niego pisze).
 
 
 
croolyc 
zajonc trejn


Pomógł: 25 razy
Dołączył: 06 Lip 2005
Posty: 985
Skąd: Polanów
Wysłany: 22 Lipiec 2007, 20:15   

a te wszystkie wtyczki tez sa?
czy sam compiz?
_________________
PLD - Punk Linux Distro
Underground Out Of Poland
 
 
 
KrystianT 

Distro: PLD 3.0
Pomógł: 189 razy
Dołączył: 26 Paź 2005
Posty: 1920
Skąd: Kamionek
Wysłany: 22 Lipiec 2007, 21:31   

ADI-mistrzu napisał/a:
Jak zrobić aby GNOM'a też zaznaczył ?

Pewnie brakuje ci jakichś gnome-*-devel. Zacznij od gnome-libs-devel...
I wrzuć też speca na serwer.
 
 
ADI-mistrzu 


Distro: Titanium
Dołączył: 19 Paź 2005
Posty: 345
Skąd: Legionowo
Wysłany: 23 Lipiec 2007, 16:14   

Też są wtyczki... jest ich po prostu zaj.... strasznie dużo =).
Zaraz wszystko powrzucam, bo robiłem reinstale PLD, chciałem mieć świeży system do tego =).

............................


Hm... może ja wam to będę pakował i dawał w postaci make/make install ? Bo na rpm jeszcze bardzo słabo się znam w sumie.

Hm... w sumie przydało by się najpierw compiz'a nowego zrobić, bez niego nic nie zbuduje.
Ale problem taki jest:
Kod:

...
checking for gcc option to accept ISO C89... none needed
checking dependency style of gcc... gcc3
checking for intltool >= 0.23... awk: cannot open ./intltool-update.in (No such file or directory)
awk: cannot open ./intltool-update.in (No such file or directory)
 found
configure: error: Your intltool is too old.  You need intltool 0.23 or later.



A żeby było śmieszniej intltool mam 0.35 =). Próbowałem też ten ze spec'a, ale nic nie dało.



Hmm.... może źle liczę, ale w Fusion jest chyba... około 500 opcji =]. Będzie czym się bawić =D


Prubuje zrobić inne pliki, ale coś z językiem mu niepasuje:
Kod:

make[2]: Opuszczenie katalogu `/root/git/emerald/doc'
Making all in po
make[2]: Wejście do katalogu `/root/git/emerald/po'
file=`echo ca | sed 's,.*/,,'`.gmo \
          && rm -f $file &&  -o $file ca.po
/bin/sh: -o: not found
make[2]: *** [ca.gmo] Błąd 127
make[2]: Opuszczenie katalogu `/root/git/emerald/po'
make[1]: *** [all-recursive] Błąd 1
make[1]: Opuszczenie katalogu `/root/git/emerald'
make: *** [all] Błąd 2



Daje wam tez cały katalog tego emeralda. Mi to wyrzuca przy próbie make.
http://www.dhost.info/tes.../emerald.tar.gz
 
 
 
KrystianT 

Distro: PLD 3.0
Pomógł: 189 razy
Dołączył: 26 Paź 2005
Posty: 1920
Skąd: Kamionek
Wysłany: 23 Lipiec 2007, 19:52   

ADI-mistrzu napisał/a:
Hm... może ja wam to będę pakował i dawał w postaci make/make install ? Bo na rpm jeszcze bardzo słabo się znam w sumie.
Skoro miałeś rpm-a to jakiegoś speca napisałeś. Jak go udostępnisz to może ktoś go dopieści i wyląduje w cvs...
_________________
Krystian T.
"Errare humanum est."
 
 
ADI-mistrzu 


Distro: Titanium
Dołączył: 19 Paź 2005
Posty: 345
Skąd: Legionowo
Wysłany: 23 Lipiec 2007, 20:03   

Ok, emerald działa, nawet już w języku PL =D. Sprawdziłem go.
RPM:
emerald-0.3.0-1.i686.rpm
emerald-debuginfo-0.3.0-1.i686.rpm

Spec i tar.gz od niego:
emerald.spec
emerald-0.3.0.tar.gz

Jedyny problem to niespełnione zależności podczas próby instalowania:
Kod:

błąd: Niespełnione zależności:
    /usr/share/locale/de_DE/LC_MESSAGES jest wymagany przez emerald-0.3.0-1.i686
    /usr/share/locale/gu_IN/LC_MESSAGES jest wymagany przez emerald-0.3.0-1.i686
    /usr/share/locale/hu_HU/LC_MESSAGES jest wymagany przez emerald-0.3.0-1.i686
    /usr/share/locale/it_IT/LC_MESSAGES jest wymagany przez emerald-0.3.0-1.i686
    /usr/share/locale/nb_NO/LC_MESSAGES jest wymagany przez emerald-0.3.0-1.i686
    /usr/share/locale/pl_PL/LC_MESSAGES jest wymagany przez emerald-0.3.0-1.i686
    /usr/share/locale/sv_FI/LC_MESSAGES jest wymagany przez emerald-0.3.0-1.i686
    /usr/share/locale/sv_SE/LC_MESSAGES jest wymagany przez emerald-0.3.0-1.i686
    /usr/share/locale/tr_TR/LC_MESSAGES jest wymagany przez emerald-0.3.0-1.i686
RESULT=1


Nie wiem jak go się pozbyć.

Tematy emeralda:
emerald-themes-debuginfo-0.3.0-1.i686.rpm
emerald-themes-0.3.0-1.i686.rpm

Spec i tar.gz :
emerald.spec
emerald-0.3.0.tar.gz
 
 
 
ADI-mistrzu 


Distro: Titanium
Dołączył: 19 Paź 2005
Posty: 345
Skąd: Legionowo
Wysłany: 24 Lipiec 2007, 20:46   

Hm... compiz'a zrobiłem =). Ale tylko i wyłącznie compiz, resztę nie wiem jak SPEC napisać.

Jak ktoś chce to mogę podrzucić wszystko od compiz, bo u mnie na serva nie wejdzie 7Mb.
 
 
 
Wyświetl posty z ostatnich:   
Odpowiedz do tematu
Nie możesz pisać nowych tematów
Nie możesz odpowiadać w tematach
Nie możesz zmieniać swoich postów
Nie możesz usuwać swoich postów
Nie możesz głosować w ankietach
Dodaj temat do Ulubionych
Wersja do druku

Skocz do:  

Powered by phpBB modified by Przemo © 2003 phpBB Group